"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveCacheConstructor = void 0;
const toad_cache_1 = require("toad-cache");
function resolveCacheConstructor(cacheTypeId) {
    if (cacheTypeId === 'fifo-map') {
        return toad_cache_1.FifoMap;
    }
    else if (cacheTypeId === 'lru-map') {
        return toad_cache_1.LruMap;
    }
    else if (cacheTypeId === 'lru-object-statistics') {
        return toad_cache_1.LruObjectHitStatistics;
    }
    else if (cacheTypeId === 'fifo-object') {
        return toad_cache_1.FifoObject;
    }
    else {
        return toad_cache_1.LruObject;
    }
}
exports.resolveCacheConstructor = resolveCacheConstructor;
//# sourceMappingURL=memoryCacheUtils.js.map