"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisExpirationTimeGroupDataSource = void 0;
class RedisExpirationTimeGroupDataSource {
    name = 'RedisExpirationTimeGroupedLoader';
    parentAsyncCache;
    constructor(asyncCache) {
        this.parentAsyncCache = asyncCache;
    }
    getFromGroup(key, group) {
        return this.parentAsyncCache.getExpirationTimeFromGroup(key, group);
    }
    /* c8 ignore next 3 */
    getManyFromGroup() {
        throw new Error('Not supported');
    }
}
exports.RedisExpirationTimeGroupDataSource = RedisExpirationTimeGroupDataSource;
//# sourceMappingURL=RedisExpirationTimeGroupDataSource.js.map