import type { GetManyResult, SynchronousCache, SynchronousGroupCache } from '../types/SyncDataSources';
export declare class NoopCache<T> implements SynchronousCache<T>, SynchronousGroupCache<T> {
    name: string;
    readonly ttlLeftBeforeRefreshInMsecs: undefined;
    deleteGroup(): void;
    getFromGroup(): undefined;
    setForGroup(): void;
    clear(): void;
    delete(): void;
    deleteMany(): void;
    deleteFromGroup(): void;
    get(): T | null | undefined;
    getExpirationTimeFromGroup(): undefined;
    getExpirationTime(): undefined;
    getMany(keys: string[]): GetManyResult<T>;
    getManyFromGroup(keys: string[], _group: string): GetManyResult<T>;
    set(): void;
}
