import type { Cache, DataSource } from '../types/DataSources';
export declare class RedisExpirationTimeDataSource implements DataSource<number> {
    readonly name = "RedisExpirationTimeLoader";
    private readonly parentAsyncCache;
    constructor(asyncCache: Cache<any>);
    get(key: string): Promise<number | undefined>;
    getMany(): Promise<number[]>;
}
